Subject: Re: [PATCH net-next] net: netdevsim: Support setting dev->perm_addr

From: Jakub Kicinski <[email-masked]>
Date: Wed, 5 Feb 2025 09:00:00 -0800

On Wed, 05 Feb 2025 10:05:17 +0100 Toke Høiland-Jørgensen wrote:
> >> Can certainly add a test case, sure! Any preference for where to put it?
> >> Somewhere in selftests/net, I guess, but where? rtnetlink.sh and
> >> bpf_offload.py seem to be the only files currently doing anything with
> >> netdevsim. I could add a case to the former?  
> >
> > No preference, just an emphasis on _meaningful_.  
> 
> OK, so checking that the feature works is not enough, in other words?

Depends on your definition of "feature works". Going thru all the
address types and how they behave would be a reasonable test I think.
Checking that an address from debugfs makes it to netlink would not.

> > Kernel supports loading OOT modules, too. I really don't want us
> > to be in the business of carrying test harnesses for random pieces
> > of user space code.  
> 
> Right. How do you feel about Andrew's suggestion of just setting a
> static perm_addr for netdevsim devices?

I don't see how that'd be sufficient for a meaningful test.